CommonBorderPaddingBackground.BorderInfo (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fo.properties

## Class CommonBorderPaddingBackground.BorderInfo

- java.lang.Object
- - org.apache.fop.fo.properties.CommonBorderPaddingBackground.BorderInfo

- Enclosing class:
    CommonBorderPaddingBackground

      public static final class CommonBorderPaddingBackground.BorderInfo
      extends java.lang.Object

  Utility class to express border info.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.awt.Color` | `getColor()`
    `static CommonBorderPaddingBackground.BorderInfo` | `getInstance(int style, CondLengthProperty width, java.awt.Color color, CondLengthProperty radiusStart, CondLengthProperty radiusEnd)` Returns a BorderInfo instance corresponding to the given values.
    `CondLengthProperty` | `getRadiusEnd()`
    `CondLengthProperty` | `getRadiusStart()`
    `int` | `getRetainedWidth()` Convenience method returning the border-width, taking into account values of "none" and "hidden"
    `int` | `getStyle()`
    `CondLengthProperty` | `getWidth()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CommonBorderPaddingBackground.BorderInfo getInstance(int style,
                                                                             CondLengthProperty width,
                                                                             java.awt.Color color,
                                                                             CondLengthProperty radiusStart,
                                                                             CondLengthProperty radiusEnd)

      Returns a BorderInfo instance corresponding to the given values.
      Parameters:
        `style` - the border-style
        `width` - the border-width
        `color` - the border-color
        `radiusStart` - the start radius for rounded borders
        `radiusEnd` - the end radius for rounded borders
      Returns:
        a cached BorderInfo instance

    - #### getStyle

          public int getStyle()

      Returns:
        the border-style

    - #### getColor

          public java.awt.Color getColor()

      Returns:
        the border-color

    - #### getWidth

          public CondLengthProperty getWidth()

      Returns:
        the border-width

    - #### getRetainedWidth

          public int getRetainedWidth()

      Convenience method returning the border-width, taking into account values of "none" and "hidden"
      Returns:
        the retained border-width

    - #### getRadiusStart

          public CondLengthProperty getRadiusStart()

      Returns:
        the border-*-start-radius

    - #### getRadiusEnd

          public CondLengthProperty getRadiusEnd()

      Returns:
        the border-*-end-radius

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.